TITLE1 "EXAMPLE5.SAS--Demonstrate LINMOD HDLSS using MAKESS";

%LET LMDIRECT = ..\SOURCE\    ;

%INCLUDE "&LMDIRECT.MACROLIB.SAS" / NOSOURCE2 ;

PROC IML WORKSIZE=5000 SYMSIZE=5000;
&LINMOD ;

RESET FUZZ;

OPT_ON={"UNIBOTH"};
OPT_OFF = { "MSH" "UNIRANK" /*"MULTTEST"*/ };
RUN SETOPT;

SEED=22333;
GROUPS=2;  *# groups;
REPN=4;  *# subjects per group;
P=16; *# responses;


ESSENCEX=I(GROUPS);
X=ESSENCEX @ J(REPN,1,1);
N=NROW(X);
Q=NCOL(X);
XNAMES= NAMELIST("X",1,Q,1);

Y=NORMAL(J(N,P,SEED));
YNAMES = NAMELIST("Y",1,P,1);

Z = X || Y;
ZNAMES = XNAMES ||  YNAMES ;
FREE X Y ;

RUN MAKESS;
FREE Z;

INDVARS = XNAMES;
DEPVARS= YNAMES;
RUN FITMODEL;

C = J( Q-1 ,1,-1)||I( Q-1 ) ;
U=UTREND( ({1}):P );
*CALL UPOLY1(VALUES, NAME, 
             U   , NMOUT );
RUN TESTGLH;
